Package: org.apache.groovy.json.internal

## [Java] Class FastStringUtils

- org.apache.groovy.json.internal.FastStringUtils

-     public class FastStringUtils
      extends Object

  Internal class for fast processing of Strings during JSON parsing

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public static String` | `noCopyStringFromChars(char[] chars)` Parameters: `chars` - to shove array into.
    `` | `public static char[]` | `toCharArray(String string)` Parameters: `string` - string to grab array from.
    `` | `public static char[]` | `toCharArray(CharSequence charSequence)` Parameters: `charSequence` - to grab array from.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### public static String noCopyStringFromChars(char[] chars)

      Parameters:
        `chars` - to shove array into.
      Returns:
        new string with chars copied into it

    - #### public static char[] toCharArray(String string)

      Parameters:
        `string` - string to grab array from.
      Returns:
        char array from string

    - #### public static char[] toCharArray(CharSequence charSequence)

      Parameters:
        `charSequence` - to grab array from.
      Returns:
        char array from char sequence